﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UgoBone
{
    public partial class MyUserControl : UserControl
    {
        public string TargetModelName
        {
            set { this.textBox1.Text = value; }
            get { return this.textBox1.Text; }
        }
        public string TargetBoneName
        {
            set { this.textBox2.Text = value; }
            get { return this.textBox2.Text; }
        }

        public string PadName
        {
            set { this.label4.Text = value; }
        }
        public string ModelFound
        {
            set { this.label7.Text = value; }
        }
        public string BoneFound
        {
            set { this.label8.Text = value; }
        }
        public string MaxSpeed
        {
            set { this.label9.Text = value; }
        }

        public decimal NoRotThr
        {
            set
            {
                if (value > this.numericUpDown1.Maximum)
                {
                    this.numericUpDown1.Value = this.numericUpDown1.Maximum;
                }
                else if (value < this.numericUpDown1.Minimum)
                {
                    this.numericUpDown1.Value = this.numericUpDown1.Minimum;
                }
                else
                {
                    this.numericUpDown1.Value = value;
                }
            }
            get { return this.numericUpDown1.Value; }
        }
        public decimal NoSlideThr
        {
            set
            {
                if (value > this.numericUpDown2.Maximum)
                {
                    this.numericUpDown2.Value = this.numericUpDown2.Maximum;
                }
                else if (value < this.numericUpDown2.Minimum)
                {
                    this.numericUpDown2.Value = this.numericUpDown2.Minimum;
                }
                else
                {
                    this.numericUpDown2.Value = value;
                }
            }
            get { return this.numericUpDown2.Value; }
        }

        public int ControlType
        {
            get { return this.comboBox1.SelectedIndex; }
            set
            {
                if (value == 0 || value == 1)
                {
                    this.comboBox1.SelectedIndex = value;
                }
            }
        }

        public bool IsUsePad
        {
            set { this.checkBox1.Checked = value; }
            get { return this.checkBox1.Checked; }
        }
        public bool IsTurn
        {
            set { this.checkBox2.Checked = value; }
            get { return this.checkBox2.Checked; }
        }

        public MyUserControl()
        {
            InitializeComponent();

            this.comboBox1.SelectedIndex = 1;
        }
    }
}
